$(function () {

    $("#PageSize").inputmask({ 'mask': "9{1,3}", greedy: false });

    $("#btnSave").click(function () {

        ClearErrorMsg();

        if (checkRequired('divCompany', 'errorMessage') == false) {
            return false;
        }

        file = $("#logofile");

        if (file.val() != "") {
            var point = file.val().lastIndexOf(".");
         
            if (point <= 0) {
                SetErrorMsg("未知的文件扩展名");               
                return false;
            }

            var type = file.val().substr(point).toLowerCase();
            console.log(type);
            if (!(type == ".jpg" || type == ".jpeg" || type == ".bmp" || type == ".png" || type == "gif")) {               
                SetErrorMsg("图片格式仅支持jpg,bmp,png和gif");
                return false;
            }
        }

        synConfirm("确定要保存吗？", function () {
            $("#form").submit();
        });
    });
});

